Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 166820 - [67cat] Line & column number display
[67cat] Line & column number display
Status: VERIFIED FIXED
Product: editor
Classification: Unclassified
Component: -- Other --
6.x
PC Windows XP
: P3 (vote)
: 6.x
Assigned To: Miloslav Metelka
issues@editor
67patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-10 00:07 UTC by matthies
Modified: 2009-07-16 11:32 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Screenshot. (2.58 KB, image/png)
2009-06-10 00:09 UTC, matthies
Details

Note You need to log in before you can comment on or make changes to this bug.
Description matthies 2009-06-10 00:07:37 UTC
The new line & column display style and position is confusing, as it can look like a time-of-day display (European 
style), and is at the lower right, very close to the time-of-day display of the Windows taskbar (when the NetBeans 
window is maximized, as is usually the case). Almost every time I look at the taskbar to look at the time I get 
confused because I see two "time-of-day" displays, see the attached screenshot. The fact that there's usually the 
output window or some other lower-pane window that separates the line & column display from the editor window doesn't 
help either.

I understand that the new position is for saving screen real estate by eliminating the editor window's status bar, but 
the result is a bit unfortunate. Aside from the "time-of-day" issue, on a large screen (e.g. 1920×1200), the line & 
column (and insert mode) display is often quite far away from the current input position, which is a drawback compared 
with the old position.

Suggestions:
Move the line & column display more to the left.
Format the line & column number such that it is sufficiently distinct from a time-of-day display.

(NB version: 6.7rc2)
Comment 1 matthies 2009-06-10 00:09:19 UTC
Created attachment 83372 [details]
Screenshot.
Comment 2 Miloslav Metelka 2009-06-10 11:59:26 UTC
Added UI team people to comment on this first.
Comment 3 matthies 2009-06-10 16:09:15 UTC
Ulf Zibis made me aware of the -J-Dnetbeans.winsys.statusLine.in.menuBar=true command line configuration option on the 
67cat mailing list. That option works around this issue by moving the status bar to the menu bar. Of course a real 
solution as suggested would be preferable.
Comment 4 Ondrej Langr 2009-06-11 09:35:41 UTC
Seems like a valid request. 

Changing the position to the left would solve the issue, but I'm not sure if the benefit would outweigh the necessity to
get used to looking to the other side of screen for all our users. 

Let's change the separator to vertical a line ("|"), add one space to each side of the separator and keep the position.
If the problem persists we can always move the indicator later, there is enough time for the next release.

Just to summarize, after the changes suggested the indicator with windows bar would look as follows: 

--------------------------------------------------------------------------
                                                       ][   10 | 24   INS |
--------------------------------------------------------------------------
                                                           |        01:04 |
--------------------------------------------------------------------------
Comment 5 matthies 2009-06-15 11:55:36 UTC
Another possibility would be to move the other, "global" elements of the status bar, like notification icons and the 
progress bar, to the right of the editing indicators. It would make sense for such global elements to be placed farther 
outwards than the editor-specific elements. Ideally the editor elements would be left-aligned with the editor window, 
but that may be difficult to achieve technically.
Comment 6 Miloslav Metelka 2009-06-15 15:41:24 UTC
Implemented separator " | " instead of current ":". IMHO it looks relatively good so marking as fixed.
http://hg.netbeans.org/jet-main/rev/34b2f02a5b75
Comment 7 Quality Engineering 2009-06-16 19:14:03 UTC
Integrated into 'main-golden', will be available in build *200906161401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/34b2f02a5b75
User: Miloslav Metelka <mmetelka@netbeans.org>
Log: #166820 -  Line & column number display.
Comment 8 Petr Blaha 2009-07-02 13:25:25 UTC
verified in the buil 090702
Comment 9 pgebauer 2009-07-07 14:29:09 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/fb82fc483cd2
Comment 10 Jiri Prox 2009-07-16 11:32:57 UTC
v in 6.7.1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo